View Issue Details

IDProjectCategoryView StatusLast Update
0000786OXID eShop (all versions)4.07. Source code, Testpublic2012-12-10 13:45
Reportermarco_steinhaeuser 
PriorityimmediateSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.1.0 revision 17976 
Target VersionFixed in Version4.1.1 revision 18442 
Summary0000786: only copatible with PHP 5.2.3 onwards
DescriptionWith PHP Version lower 5.2.3 you get the following error message:

Warning: htmlspecialchars() expects at most 3 parameters, 4 given in /oxid/htdocs/core/oxstrmb.php on line 136

4 Parameter are only support by PHP 5.2.3 onwards, maybe you can add some compatibility code.
TagsNo tags attached.
Theme
BrowserAll
PHP Version5.2.6
MySQL Version5.0.33

Activities

rimvydas_paskevicius

2009-04-20 14:04

reporter   ~0000787

Removed usage of 4th parameter